# Get Mutual Settlements for a Specific Team Member

The method allows you to get mutual settlements of a specific team member. In the user's access rights, the checkbox "Access to payroll only for a specific team member" must be specified.

Endpoint: GET /locations/{location_id}/salary/team_members/{team_member_id}/calculation
Version: 1.0.0
Security: BearerPartnerUser

## Security:

  - `BearerPartnerUser` (unknown)
    http bearer Bearer {PartnerToken}, User {UserToken}

## Path parameters:

  - `location_id` (number, required)
    ID of a location.

  - `team_member_id` (integer, required)
    ID of a team member.

## Query parameters:

  - `date_from` (string, required)
    Start from date.

  - `date_to` (string, required)
    End to date.

## Header parameters:

  - `Accept` (string, required)
    Required B2B v2 response media type. Use `application/vnd.api.v2+json`. A charset parameter is also accepted.

  - `Content-Type` (string, required)
    Should be equal to `application/json`

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: true

  - `data` (object)
    Mutual settlements.

  - `data.total_sum` (object)

  - `data.total_sum.income` (string)
    Income.

  - `data.total_sum.expense` (string)
    Expense.

  - `data.total_sum.balance` (string)
    Balance.

  - `data.currency` (object)
    Currency
    Example: {"id":2,"iso":"USD","name":"US Dollar","symbol":"$","is_symbol_after_amount":false}

  - `data.currency.id` (integer)
    Currency identifier

  - `data.currency.iso` (string)
    Three-letter currency code according to ISO 4217

  - `data.currency.name` (string)
    Currency name

  - `data.currency.symbol` (string)
    Currency symbol next to the amount

  - `data.currency.is_symbol_after_amount` (boolean)
    Flag where to display the currency symbol relative to the amount (true - after the amount, false - before)

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Authentication needed.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: Access denied.

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object | array)
    Additional response data (empty object or empty array)
    Example: {}

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `success` (boolean)
    Response status.
    Example: false

  - `data` (object | null)
    Response data.
    Example: null

  - `meta` (object)
    Additional response data.

  - `meta.message` (string)
    Error message.
    Example: An error has occurred.

  - `meta.errors` (array)
    Set of a validation error messages.

